### Method

# Gsk ShaderArgsBuilder ref

deprecated: 4.16

#### Declaration [src]

    GskShaderArgsBuilder*
    gsk_shader_args_builder_ref (
      GskShaderArgsBuilder* builder
    )

#### Description [src]

Increases the reference count of a `GskShaderArgsBuilder` by one.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Return value

Type: `GskShaderArgsBuilder`

The passed in `GskShaderArgsBuilder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.